/**
 * @param triggerSelector - css selector of trigger
 * @param wrapperEl - accordion's wrapper
 * @param wrapperSelector - wrapper selector
 * @param accordionEl - accordion element
 * @returns Array of trigger elements
 */
export declare function findAccordionTriggers(triggerSelector: string | null | undefined, wrapperEl: HTMLElement, wrapperSelector: string, accordionEl: HTMLElement): HTMLElement[];
export declare function initTrigger(trigger: HTMLElement, targetId: string, collapsed: boolean): void;
/**
 * get all the triggers relative to the accordion's wrapper but not inside nested wrapper
 */
export declare function getClosestTriggers(wrapperEl: HTMLElement, wrapperSelector?: string, triggerSelector?: string): HTMLElement[];
export declare function getAllAssociateTriggers(accordion: HTMLElement, wrapperEl: HTMLElement, wrapperSelector?: string, triggerSelector?: string): HTMLElement[];
export declare function collapseAccordion(accordion: HTMLElement): boolean;
export declare function collapseRelativeAccordions(accordion: HTMLElement): void;
export declare function expandAccordion(accordion: HTMLElement): boolean;
export declare function toggleAccordion(accordion: HTMLElement): boolean;
export declare function updateTriggers(accordionId: string, isAccordionCollapsed: boolean): void;
export declare function accordionToggleEventHandler(e: Event): void;
